org.apache.datasketches.theta

## Enum UpdateReturnState

- java.lang.Object
- - java.lang.Enum<UpdateReturnState>
  - - org.apache.datasketches.theta.UpdateReturnState

All Implemented Interfaces:
  Serializable, Comparable<UpdateReturnState>

    public enum UpdateReturnState
    extends Enum<UpdateReturnState>

See Update Return State

Author:
  Lee Rhodes

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ConcurrentBufferInserted` The hash was inserted into the local concurrent buffer, but has not yet been propagated to the concurrent shared sketch.
`ConcurrentPropagated` The hash has been propagated to the concurrent shared sketch.
`InsertedCountIncremented` The hash was accepted into the sketch and the retained count was incremented.
`InsertedCountIncrementedRebuilt` The hash was accepted into the sketch, the retained count was incremented.
`InsertedCountIncrementedResized` The hash was accepted into the sketch, the retained count was incremented.
`InsertedCountNotIncremented` The hash was accepted into the sketch and the retained count was not incremented.
`RejectedDuplicate` The hash was rejected as a duplicate.
`RejectedNullOrEmpty` The hash was rejected because it was null or empty.
`RejectedOverTheta` The hash was rejected because the value was negative, zero or greater than theta.

### Method Summary

All Methods Static Methods Concrete Methods
`static UpdateReturnState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UpdateReturnState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### InsertedCountIncremented

    public static final UpdateReturnState InsertedCountIncremented

The hash was accepted into the sketch and the retained count was incremented.

#### InsertedCountIncrementedResized

    public static final UpdateReturnState InsertedCountIncrementedResized

The hash was accepted into the sketch, the retained count was incremented. The current cache was out of room and resized larger based on the Resize Factor.

#### InsertedCountIncrementedRebuilt

    public static final UpdateReturnState InsertedCountIncrementedRebuilt

The hash was accepted into the sketch, the retained count was incremented. The current cache was out of room and at maximum size, so the cache was rebuilt.

#### InsertedCountNotIncremented

    public static final UpdateReturnState InsertedCountNotIncremented

The hash was accepted into the sketch and the retained count was not incremented.

#### ConcurrentBufferInserted

    public static final UpdateReturnState ConcurrentBufferInserted

The hash was inserted into the local concurrent buffer, but has not yet been propagated to the concurrent shared sketch.

#### ConcurrentPropagated

    public static final UpdateReturnState ConcurrentPropagated

The hash has been propagated to the concurrent shared sketch. This does not reflect the action taken by the shared sketch.

#### RejectedDuplicate

    public static final UpdateReturnState RejectedDuplicate

The hash was rejected as a duplicate.

#### RejectedNullOrEmpty

    public static final UpdateReturnState RejectedNullOrEmpty

The hash was rejected because it was null or empty.

#### RejectedOverTheta

    public static final UpdateReturnState RejectedOverTheta

The hash was rejected because the value was negative, zero or greater than theta.

### Method Detail

#### values

    public static UpdateReturnState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UpdateReturnState c : UpdateReturnState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UpdateReturnState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null